# DRUPAL COMMERCE PAYMENT INTEGRATION BY NOVALNET
The Drupal Commerce Payment Gateway by Novalnet provides a secure integration of payments and payment services for any Drupal Commerce shop. The shop admin can experience<a href= "https://www.novalnet.de/full-service-zahlungsabwicklung"> automated payment processing</a>, enriched customer experiences and improved conversion rates, all under one platform. One contract with Novalnet eliminates the need to establish multiple partnerships for accepting, managing and processing payments from checkout to collection. 

## Integration requirements
Novalnet <a href= "https://www.novalnet.de/"> merchant account </a> is required for processing payments through the Drupal Commerce Payment Gateway from Novalnet. The module is available in the following languages: EN & DE

Also drupal 8.9.0-8.9.20 and 9.0.0-9.4.7 and commerce 2.25-2.31 are supported by Novalnet. 
More information about these can be found <a href= "https://www.novalnet.de/modul/drupalcommerce-payment-module"> here </a>

## Key features of Drupal Commerce payment module
* Easy configuration for all payment methods
* One platform for all relevant payment types and related services
* Complete automation of all payment processes
* 60+ risk & payment fraud detection modules to prevent defaults in real time
* Effortless configuration of risk management with fraud prevention
* Comprehensive affiliate system with automated split conversion of transaction on revenue sharing
* No PCI DSS certification required when using our payment module
* Real-time monitoring of the transaction flow from the checkout to the receivables
* Multilevel claims management with integrated handover to collection and various export functions for the accounting
* Automated e-mail notification function concerning payment status reports
* Clear real-time overview and monitoring of payment status
* Automated bookkeeping report in XML, SOAP, CSV, MT940
* Simple seamless integration of the payment module
* Secure SSL- encoded gateways
* Confirmation & Cancellation of on-hold transactions
* Refund options for various payment types
* Order creation process handled for shop admin
* Responsive templates

Overview of all features can be found <a href= "https://www.novalnet.de/produkte">here</a>.

For detailed documentation and technical inquiries, please contact <a href="mailto:sales@novalnet.de">sales@novalnet.de </a>

## Integrated payment types for Drupal Commerce
* Direct Debit SEPA
* Credit/Debit Cards
* Invoice
* Prepayment
* Invoice with payment guarantee
* Direct Debit SEPA with payment guarantee
* iDEAL
* Sofort
* giropay
* Barzahlen/viacash
* Przelewy24
* eps
* PayPal
* PostFinance Card
* PostFinance E-Finance
* Bancontact
* Multibanco
* Online bank transfer

More details about each payment type can be found <a href= "https://www.novalnet.de/zahlungsabwicklung">here</a>. Please contact: <a 
href="mailto:sales@novalnet.de"> sales@novalnet.de </a> or +49 89 9230683-20 for more information and additional inquiries.

## Drupal Commerce Payment Integration steps
Follow these steps to install the Drupal Commerce Payment Integration by Novalnet:

1. Get the Drupal Commerce Payment Module & detailed documentation by <a href=  "https://www.novalnet.de/kontakt/sales"> contacting us </a>
2. Install the Module to your Drupal Commerce shop
3. Configure Product Activation Key in the shop admin panel
4. Install & configure the preferred payment types in your shop admin panel

## License
See our License Agreement at: https://www.novalnet.com/payment-plugins/free/license </a>

## Documentation & Support

For more information about the Drupal Commerce Payment Integration by Novalnet, please get in touch with us: <a href="mailto:sales@novalnet.de"> sales@novalnet.de or +49 89 9230683-20

Novalnet AG<br>
Zahlungsinstitut (ZAG)<br>
Feringastr. 4<br>
85774 Unterföhring<br>
Deutschland<br>
Web: <a href= "https://www.novalnet.de/"> www.novalnet.de </a>

## Novalnet AG

Novalnet AG is a leading <a href="https://www.novalnet.de/zahlungsinstitut"> financial services institution </a> offering payment gateways for processing online payments. Operating in the market as a full payment service provider Novalnet AG provides online merchants user-friendly payment integration with all major shop systems and self-programmed sites.

Our SaaS engine is <a href="https://www.novalnet.de/pci-dss-zertifizierung"> PCI DSS certified </a> and designed to enable real-time risk management, secured payments via escrow accounts, efficient receivables management, dynamic member and subscription management, customized payment solutions for various business models (e.g. marketplaces, affiliate programs etc.) etc.
